package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.BusDeviceRunning;

/**
 * 运行状态Service接口
 * 
 * @author zsl
 * @date 2022-06-17
 */
public interface IBusDeviceRunningService 
{
    /**
     * 查询运行状态
     * 
     * @param id 运行状态主键
     * @return 运行状态
     */
    public BusDeviceRunning selectBusDeviceRunningById(Long id);

    /**
     * 查询运行状态列表
     * 
     * @param busDeviceRunning 运行状态
     * @return 运行状态集合
     */
    public List<BusDeviceRunning> selectBusDeviceRunningList(BusDeviceRunning busDeviceRunning);

    /**
     * 新增运行状态
     * 
     * @param busDeviceRunning 运行状态
     * @return 结果
     */
    public int insertBusDeviceRunning(BusDeviceRunning busDeviceRunning);

    /**
     * 修改运行状态
     * 
     * @param busDeviceRunning 运行状态
     * @return 结果
     */
    public int updateBusDeviceRunning(BusDeviceRunning busDeviceRunning);

    /**
     * 批量删除运行状态
     * 
     * @param ids 需要删除的运行状态主键集合
     * @return 结果
     */
    public int deleteBusDeviceRunningByIds(Long[] ids);

    /**
     * 删除运行状态信息
     * 
     * @param id 运行状态主键
     * @return 结果
     */
    public int deleteBusDeviceRunningById(Long id);
}
